Skip to main content
GET
/
intents
/
{intentId}
Get intent state
curl --request GET \
  --url https://api.zeam.app/v1/intents/{intentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-zeam-auth: <api-key>'
{
  "intentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "PENDING",
  "intentType": "P2P",
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionHash": "<string>",
      "asset": "<string>",
      "amount": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token issued by POST /v1/auth/token.

x-zeam-auth
string
header
required

Application secret (Kong apiKey) issued at registration.

Path Parameters

intentId
string<uuid>
required

Transaction intent identifier.

Response

Intent state.

intentId
string<uuid>
required
status
string
required
Example:

"PENDING"

intentType
string
Example:

"P2P"

transactions
object[]